Package org.eclipse.mat.ui.internal

## Class GettingStartedWizard

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.eclipse.mat.ui.internal.GettingStartedWizard

All Implemented Interfaces:
  `IShellProvider`, `IWizard`

    public class GettingStartedWizard
    extends Wizard

### Field Summary

Fields
`static java.lang.String` `HIDE_WIZARD_KEY`

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Constructor Summary

Constructors
`GettingStartedWizard​(HeapEditor editor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPages()`
`boolean` `canFinish()`
`boolean` `performCancel()`
`boolean` `performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HIDE_WIZARD_KEY

    public static final java.lang.String HIDE_WIZARD_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### GettingStartedWizard

    public GettingStartedWizard​(HeapEditor editor)

### Method Detail

#### addPages

    public void addPages()

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

#### canFinish

    public boolean canFinish()

Specified by:
  `canFinish` in interface `IWizard`
Overrides:
  `canFinish` in class `Wizard`

#### performFinish

    public boolean performFinish()

Specified by:
  `performFinish` in interface `IWizard`
Specified by:
  `performFinish` in class `Wizard`

#### performCancel

    public boolean performCancel()

Specified by:
  `performCancel` in interface `IWizard`
Overrides:
  `performCancel` in class `Wizard`